MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023373Community[OCCT] OCCT:Foundation Classespublic2012-08-07 20:272012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023373: MSVC++ warnings issued during compilation for 64bits, 'Sparse Arrays'
DescriptionStandard_Integer should be replaced with Standard_Size to avoid compiler warnings.
Additional information
and documentation updates
Remark for release notes: interface of the class NCollection_SparseArray has changed to use Standard_Size (unsigned) for index, instead of Standard_Integer; the applications that use that class will likely need update (at least, to avoid compiler warnings)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023274closedPawel MSVC++ warnings issued during compilation for 64bits 

-  Notes
(0021216)
Pawel (developer)
2012-08-08 11:55

Corresponding git branch pushed. Please review.
(0021227)
kgv (developer)
2012-08-10 11:22

Not fully reviewed but please notice that some portions of code may become incorrect due to signed (Standard_Integer) -> unsigned (Standard_Size) conversion like in this place:

>Standard_Address NCollection_SparseArrayBase::setValue (const Standard_Size theIndex,
> const Standard_Address theValue)
> {
> Standard_OutOfRange_Raise_if (theIndex<0,"NCollection_SparseArray::SetValue()")
(0021228)
Pawel (developer)
2012-08-10 12:21

Thanks for your hints!

I have updated and pushed the branch CR23373.

In my opinion the check 'Standard_OutOfRange_Raise_if' was not necessary anymore so I removed it.

I have also removed redundant casting to 'Standard_Size' and checking if a 'Standard_Size' variable was negative.
(0021285)
abv (manager)
2012-08-19 11:22

Reviewed, please test.
(0021306)
apn (administrator)
2012-08-21 16:51

Dear BugMaster,
Branch CR23373 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master d93f7683
Timestamp: 2012-08-24 10:18:55
Author: Pawel
Details ] Diff ]
0023373: MSVC++ warnings issued during compilation for 64bits, 'Sparse Arrays'

Replaced 'Standard_Integer' with 'Standard_Size' to avoid compiler warning.
Removed redundant casting to 'Standard_Size'.
Removed code checking if a 'Standard_Size' variable is negative.
mod - src/NCollection/NCollection_SparseArray.hxx Diff ] File ]
mod - src/NCollection/NCollection_SparseArrayBase.cxx Diff ] File ]
mod - src/NCollection/NCollection_SparseArrayBase.hxx Diff ] File ]
mod - src/TObj/TObj_TIntSparseArray.cxx Diff ] File ]
mod - src/TObj/TObj_TIntSparseArray.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-07 20:27 Pawel New Issue
2012-08-07 20:27 Pawel Assigned To => Pawel
2012-08-08 11:55 Pawel Note Added: 0021216
2012-08-08 11:55 Pawel Assigned To Pawel => bugmaster
2012-08-08 11:55 Pawel Status new => resolved
2012-08-08 11:55 Pawel Relationship added related to 0023274
2012-08-09 14:54 bugmaster Assigned To bugmaster => emv
2012-08-10 11:22 kgv Note Added: 0021227
2012-08-10 12:21 Pawel Note Added: 0021228
2012-08-14 09:55 bugmaster Assigned To emv => kgv
2012-08-16 12:54 kgv Assigned To kgv => abv
2012-08-19 11:22 abv Note Added: 0021285
2012-08-19 11:22 abv Assigned To abv => bugmaster
2012-08-19 11:22 abv Status resolved => reviewed
2012-08-19 11:22 abv Additional Information Updated View Revisions
2012-08-21 16:51 apn Note Added: 0021306
2012-08-21 17:01 apn Test case number => Not needed
2012-08-21 17:01 apn Status reviewed => tested
2012-08-27 16:17 Pawel Changeset attached => occt master d93f7683
2012-08-27 16:18 Pawel Assigned To bugmaster => Pawel
2012-08-27 16:18 Pawel Status tested => verified
2012-08-27 16:18 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker